# Uses of Interface
org.eclipse.compare.structuremergeviewer.IDiffElement

Packages that use IDiffElement
Package
Description
org.eclipse.compare.structuremergeviewer
Provides support for finding and displaying the differences between hierarchically structured data.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of IDiffElement in org.eclipse.compare.structuremergeviewer

Subinterfaces of IDiffElement in org.eclipse.compare.structuremergeviewer
Modifier and Type
Interface
Description
`interface`
`IDiffContainer`
`IDiffContainer` is a `IDiffElement` with children.
Classes in org.eclipse.compare.structuremergeviewer that implement IDiffElement
Modifier and Type
Class
Description
`class`
`DiffContainer`
The standard implementation of a diff container element.
`class`
`DiffElement`
An abstract base implementation of the `IDiffElement` interface.
`class`
`DiffNode`
Diff node are used as the compare result of the differencing engine.
Methods in org.eclipse.compare.structuremergeviewer that return IDiffElement
Modifier and Type
Method
Description
`IDiffElement`
DiffContainer.`findChild(String name)`
Tries to find the child with the given name.
`IDiffElement[]`
DiffContainer.`getChildren()`
`IDiffElement[]`
IDiffContainer.`getChildren()`
Returns the children of this container.
Methods in org.eclipse.compare.structuremergeviewer with parameters of type IDiffElement
Modifier and Type
Method
Description
`void`
DiffContainer.`add(IDiffElement diff)`
`void`
IDiffContainer.`add(IDiffElement child)`
Adds the given child to this container.
`void`
DiffContainer.`remove(IDiffElement child)`
Removes the given child (non-recursively) from this container.
`void`
DiffContainer.`removeToRoot(IDiffElement child)`
`void`
IDiffContainer.`removeToRoot(IDiffElement child)`
Removes the given child from this container.

## Uses of IDiffElement in org.eclipse.team.ui.synchronize

Subinterfaces of IDiffElement in org.eclipse.team.ui.synchronize
Modifier and Type
Interface
Description
`interface`
`ISynchronizeModelElement`
These are elements created to display synchronization state to the user.
Methods in org.eclipse.team.ui.synchronize that return IDiffElement
Modifier and Type
Method
Description
`protected final IDiffElement[]`
SynchronizeModelAction.`getFilteredDiffElements()`
Return the selected diff element for which this action is enabled.
`protected final IDiffElement[]`
SynchronizeModelAction.`getSelectedDiffElements()`
This method returns all instances of IDiffElement that are in the current selection.
Methods in org.eclipse.team.ui.synchronize with parameters of type IDiffElement
Modifier and Type
Method
Description
`protected abstract SynchronizeModelOperation`
SynchronizeModelAction.`getSubscriberOperation(ISynchronizePageConfiguration configuration, IDiffElement[] elements)`
Return the subscriber operation associated with this action.
Constructors in org.eclipse.team.ui.synchronize with parameters of type IDiffElement
Modifier
Constructor
Description
`protected`
`SynchronizeModelOperation(ISynchronizePageConfiguration configuration, IDiffElement[] elements)`
Create an operation that will operate on the given diff elements.